/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.lokalisierung.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QLokalisierung extends EntityPathBase<Lokalisierung> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QLokalisierung lokalisierung = new QLokalisierung("lokalisierung");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final EnumPath<de.ivu.elect.business.lokalisierung.entity.LokalisierungLocale> locale = createEnum("locale", de.ivu.elect.business.lokalisierung.entity.LokalisierungLocale.class);

  public final EnumPath<de.ivu.elect.business.lokalisierung.entity.LokalisierungModul> modul = createEnum("modul", de.ivu.elect.business.lokalisierung.entity.LokalisierungModul.class);

  public final StringPath schluessel = createString("schluessel");

  public final StringPath wertGeaendert = createString("wertGeaendert");

  public final StringPath wertPropertydatei = createString("wertPropertydatei");


  // Beziehungen N:1 unidirektional

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QLokalisierung(Class<? extends Lokalisierung> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
  }

  public QLokalisierung(String variable) {
    this(Lokalisierung.class, forVariable(variable), INITS);
  }

  public QLokalisierung(Path<? extends Lokalisierung> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QLokalisierung(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QLokalisierung(PathMetadata metadata, PathInits inits) {
    this(Lokalisierung.class, metadata, inits);
  }
}
